Page MenuHomePhabricator

Remove Speed & Function blockers for GitLab work
Closed, ResolvedPublic

Description

There are two engineers from Speed & Function contracting to do initial standup of GitLab work. This task is tracking task for onboarding and removing potential blockers for those contractors.

Related Objects

StatusSubtypeAssignedTask
ResolvedDzahn
ResolvedDzahn
ResolvedDzahn
ResolvedRequestVolans
ResolvedRequestjbond
ResolvedRequestJMeybohm
ResolvedSfigor
Resolvedjbond
OpenNone
Resolvedbrennen
Resolvedcolewhite
OpenNone
ResolvedDzahn
ResolvedJelto
Resolvedbrennen
ResolvedDzahn
ResolvedDzahn
ResolvedSergey.Trofimovsky.SF
Resolvedbrennen
Resolvedbrennen
Resolveddcaro
ResolvedSergey.Trofimovsky.SF

Event Timeline

Change 664904 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] create placeholder role/profile for gitlab VMs

https://gerrit.wikimedia.org/r/664904

Since we heard they started yesterday already, the access process can be sped up by asking the new users to sign up on Wikitech and create user profiles. After that they can sign in on Phabricator using those to see this ticket, create SSH keys and paste them.

Change 664904 merged by Dzahn:
[operations/puppet@production] create placeholder role/profile for gitlab VMs

https://gerrit.wikimedia.org/r/664904

Since we heard they started yesterday already, the access process can be sped up by asking the new users to sign up on Wikitech and create user profiles.

For transparency and accountability, I'd like to stress "create user profiles". Thanks in advance!

Since we heard they started yesterday already, the access process can be sped up by asking the new users to sign up on Wikitech and create user profiles. After that they can sign in on Phabricator using those to see this ticket, create SSH keys and paste them.

Yep, that's already begun to happen here: https://phabricator.wikimedia.org/T274460 -- I asked about the Wikitech profile names.

Since we heard they started yesterday already, the access process can be sped up by asking the new users to sign up on Wikitech and create user profiles.

For transparency and accountability, I'd like to stress "create user profiles". Thanks in advance!

Are there any guidelines published for contractors anywhere? I asked them to add a blurb to their phab accounts and added {{user info}} on the mw accounts (and will redirect from wikitech accounts).

Thanks, that's great. I'm currently not aware of guidelines but need to re-check.

greg triaged this task as High priority.Feb 24 2021, 5:37 PM
greg moved this task from Backlog to In Progress on the GitLab (Initialization) board.

This task is open and High prio but are there actually blockers for Speed & Function left? The only one I see is a new access request for a 4th contractor that is waiting for them. They seem to be actively working on performance tests in cloud and access to the production machine is available. The other subtasks seem of general gitlab project nature. Is this the right parent task that should stay open?

Mentioned in SAL (#wikimedia-cloud) [2021-03-26T10:01:37Z] <dcaro> Increased quota +1 instance, +4 cores, +8G ram (T274458)

Dzahn closed this task as Resolved.EditedJun 4 2021, 6:24 PM
Dzahn claimed this task.

never received a response here.. so now boldly closing this since there obviously aren't blockers anymore or contractors wouldn't have been able to work all this time